TEXI2DVI(1)

BEZEICHNUNG
texi2dvi - Texinfo-Dokumente in DVI oder PDF umwandeln

ÜBERSICHT
texi2dvi [OPTION] … DATEI …
texi2pdf [OPTION] … DATEI …
pdftexi2dvi [OPTION] … DATEI …

BESCHREIBUNG
Jede Texinfo- oder (La)TeX-DATEI wird mit TeX solange verarbeitet, bis alle Querverweise aufgelöst sind und alle Indizes erstellt sind. Das Verzeichnis bzw. die Verzeichnisse, in denen die angegebene(n) DATEI(en) enthalten sind, wird nach Include-Dateien durchsucht. Anhand der Endung der DATEI wird deren Sprache bestimmt ((La)TeX oder Texinfo). Um reine TeX-Dateien verarbeiten zu können, setzen Sie die Umgebungsvariable LATEX=tex.

Wenn es als texi2pdf aufgerufen wird oder die Option --pdf angegeben ist, erfolgt die Ausgabe als PDF. Anderenfalls wird DVI erzeugt.

  Allgemeine Optionen:

-D, --debug
    aktiviert die Shell-Fehlersuche (setzt -x).

-h, --help
    zeigt eine Hilfemeldung an und beendet das Programm erfolgreich.

-o, --output=AUSGABEDATEI
    schreibt in die angegebene AUSGABEDATEI; nur eine Eingabe-DATEI ist dabei erlaubt.

-q, --quiet
    gibt nichts außer Fehlern aus.

-v, --version
    zeigt Versionsinformationen an und beendet das Programm erfolgreich.

-V, --verbose
    meldet, was ausgeführt wird.

--max-iterations=N
    verarbeitet Dateien höchstens N-mal [7]

--mostly-clean
    entfernt Hilfsdateien oder -verzeichnisse von früheren Programmausführungen (aber nicht die Ausgabe selbst).

  Ausgabeformat:

--dvi
    gibt eine DVI-Datei aus (Voreinstellung).

--dvipdf
    gibt eine PDF-Datei über DVI aus (mittels eines DVI-zu-PDF-Konverters).

--html
    gibt mittels HeVeA aus LaTeX eine HTML-Datei aus.

--info
    gibt mittels HeVeA aus LaTeX eine Info-Datei aus.

-p, --pdf
    verwendet Pdftex oder Pdflatex für die Verarbeitung.

--ps
    gibt eine PostScript-Datei über DVI aus (mittels des Programms dvips).

--text
    gibt mittels HeVeA aus LaTeX eine reine Textdatei aus.

  TeX-Feineinstellungen:

-E, --expand
    expandiert Makros mittels makeinfo.

-I VERZEICHNIS
    durchsucht das VERZEICHNIS nach Texinfo-Dateien.

-l, --language=SPRACHE
    gibt die SPRACHE der Datei an (entweder latex oder texinfo)

--no-line-error
    übergibt kein --file-line-error an TeX.

--shell-escape
    übergibt --shell-escape an TeX.

--src-specials
    übergibt --src-specials an TeX.

--translate-file=DATEI
    verwendet die angegebene Zeichensatz-Umwandlungsdatei für TeX.

-t, --command=BEFEHL
    fügt den angegebenen BEFEHL in die Kopie der Eingabedatei ein.

  Erstellungsmodi:

--build=MODUS
    gibt an, wie Hilfsdateien behandelt werden sollen (Modus »local«).

--tidy
    ist gleichbedeutend mit --build=tidy

-c, --clean
    ist gleichbedeutend mit --build=clean.

--build-dir=VERZEICHNIS
    gibt an, wo die aufgeräumte Kompilierung ausgeführt wird (Modus »tidy«); impliziert --tidy; Vorgabe ist TEXI2DVI_BUILD_DIRECTORY [.]

Der MODUS gibt an, wo die TeX-Kompilierung stattfindet und als Folge davon, wie mit Hilfsdateien umgegangen wird. Der Erstellungsmodus kann auch über die Umgebungsvariable TEXI2DVI_BUILD_MODE festgelegt werden.

  Gültige Werte für MODUS sind:

»local«
    kompiliert im aktuellen Verzeichnis und löscht keine Hilfsdateien. Dies ist das traditionelle TeX-Verhalten.

»tidy«
    kompiliert in einem lokalen *.t2d-Verzeichnis, wo die Hilfsdateien verbleiben. Die Ausgabedateien werden zur Originaldatei zurückkopiert.

»clean«
    ist gleichbedeutend mit »tidy«, aber entfernt anschließend das Hilfsverzeichnis. Daher erfordert jede Kompilierung einen vollständigen Durchlauf.

Die Werte folgender Umgebungsvariablen werden, sofern gesetzt, zur Ausführung der entsprechenden Befehle verwendet:

    BIBER BIBTEX DVIPDF DVIPS EGREP HEVEA LATEX MAKEINDEX MAKEINFO PDFLATEX PDFTEX SED T4HT TEX TEX4HT TEXINDEX TEXINDY THUMBPDF_CMD

Falls DVIPDF in der Umgebung nicht gesetzt ist, wird für --dvipdf nach nach den folgenden Programmen (in dieser Reihenfolge) gesucht: dvipdfmx dvipdfm dvipdf dvi2pdf dvitopdf.

Falls Texinfo auf Ihrem System installiert ist, sollten Sie mit dem Befehl

    info texi2dvi

auf weitere Dokumentation zugreifen können.

FEHLER MELDEN
Schicken Sie Fehlermeldungen oder Kommentare an bug-texinfo@gnu.org, allgemeine Fragen und Diskussionen an help-texinfo@gnu.org (jeweils auf Englisch).
Homepage von GNU Texinfo: <http://www.gnu.org/software/texinfo/>
Allgemeine Hilfe zur Benutzung von GNU-Software: <http://www.gnu.org/gethelp/>

COPYRIGHT
Copyright © 2021 Free Software Foundation, Inc. Lizenz GPLv3+: GNU GPL Version 3 oder neuer <http://gnu.org/licenses/gpl.html>
Dies ist freie Software: Sie können sie verändern und weitergeben. Es gibt KEINE GARANTIE, soweit gesetzlich zulässig.

SIEHE AUCH
Die vollständige Dokumentation für texi2dvi wird als ein Texinfo-Handbuch gepflegt. Wenn die Programme info(1) und texi2dvi auf Ihrem Rechner ordnungsgemäß installiert sind, können Sie mit dem Befehl

    info texi2dvi

auf das vollständige Handbuch zugreifen.

ÜBERSETZUNG
Die deutsche Übersetzung dieser Handbuchseite wurde von Mario Blättermann <mario.blaettermann@gmail.com> erstellt.

Diese Übersetzung ist Freie Dokumentation; lesen Sie die GNU General Public License Version 3 (https://www.gnu.org/licenses/gpl-3.0.html) oder neuer bezüglich der Copyright-Bedingungen. Es wird KEINE HAFTUNG übernommen.

Wenn Sie Fehler in der Übersetzung dieser Handbuchseite finden, schicken Sie bitte eine E-Mail an die Mailingliste der Übersetzer (debian-l10n-german@lists.debian.org).